# BUTCube
Modules:
- Solar panels (XY, Z) (not in stack)
- EPS
- Flight Computer
- Mission computer
- Communication
- Sun sensor module (not in stack)
- ? Attitude control
- Access port module (not in stack)

# Solar panels

## Solar cells
#### SM141K04L
- Link: https://www.digikey.nl/short/fvpwbf4h
- Panel count: 8 (2S 4P)
- Maximal power: 0.98 W
- Voltage: 4.46 V (MPPT)
- Dimensions: 29 x 23 mm
- Weight: 3g (24g)
- Price (for 1 side): 28 € (750 CZK)

#### SM141K04LV
- Link: https://www.digikey.cz/short/r589mmbj
- Panel count: 8 (2S 4P)
- Maximal power: 0.98 W
- Voltage: 4.46 V (MPPT)
- Dimensions: 45 x 15 mm
- Weight: 2.5g (20g)
- Price (for 1 side): 28 € (750 CZK)

## Solar module 
- Two sizes of solar panel PCBs
    - Z - 100x100 mm with cutouts in corners for rails
    - X,Y - 100x83
- In center of module is hole for another module
    - Approximate size of module is 46x30 mm
    - Mounting to frame is via 4 bolts in corners of board
- Integrated components: Optodiode, temperature measuring IC

## Sensors
- Temperature sensor: AT30TS74
- Photo diode: 
    - VEMD5510C - 550nm (450-750)  - visible
    - VEMD5060X - 800nm (500-1000) - visible + IR
    - VEMD5160X - 850nm (750-950)  - IR (used)
- ADC for photodiode: ADS7142

# Cables
- https://www.digikey.cz/product-detail/en/adafruit-industries-llc/3165/1528-1733-ND/6193585
- https://www.digikey.cz/product-detail/en/adafruit-industries-llc/3167/1528-1735-ND/6193587
- https://www.digikey.cz/product-detail/en/adafruit-industries-llc/3168/1528-1736-ND/6193588
- https://www.digikey.cz/product-detail/en/adafruit-industries-llc/3164/1528-1732-ND/6193584

- 30AWG resistance 0.3R per meter
- Length in CubeSat cca 10-15 cm
- Power loss in cables is 0.5mW in peek (0.05% per solar module)
- Similar power loss will be at cable connectors

# Stack connector
- [https://cz.mouser.com/ProductDetail/200-SSQ12002TD]
- 2x20 pins
- Limits board to thickness of 1mm or less
- Board spacing: 8.51 mm

# EPS
- Two identical modules on one board
- Both connected to stack connector
- Other board could be connected to both or one of then
    - Power oring must be solved
- Connected to main CAN

## Power output
- 3 regulated and monitored power rails - 1V8, 3V3, 5V
    - Output regulator - TPS63002DRCR
    - 0.8A (boost) up to 1.2A (buck) output
    - 2.2 uH coil
- 1 unregulated output of battery, monitored
- Monitoring via current sensors (INA??)

## Battery
- Limit for CubeSat is 50Wh
- Suggested battery has form factor 21700
- One battery per EPS
- Battery is mounted in battery holder
    - Keystone 1122 - 1122
    - Probably additional fixation is requested
- Selected battery - https://www.conrad.cz/p/samsung-inr21700-50e-specialni-akumulator-21700-flat-top-li-ion-akumulator-36-v-4900-mah-2114678
    - 3.6V, 4900mAh, 17.64Wh
    - EPS module has around 35Wh (well in limit)

## Battery heating
- https://www.ges.cz/cz/odl-20r81-GES06914579.html
- https://www.ges.cz/cz/odl-53r1-GES06914581.html
- https://www.gme.cz/odporovy-drat-odp-kan02-3m
- https://www.gme.cz/odporovy-drat-odp-kon03-3m

- Heating should be designed for power around 1-4W
- With 5.4R/m and battery input source (3.7V) length of wire for 2W heating should be around 1.2m (current 0.5A)
    - 0.5A is probably to much, values around 0.2A are better -> 1W heating
- For regulation could be used power switch with constant current regulation

# Access port module
Connectors:
- USB-C
    - data connected to mission computer or flight computer
    - power connected to EPS for battery charging
- 2x SWD port for programing and debugging of Flight and Mission computer
- main CAN bus connector
- UART debug port

- Realized as stack of two PCB boards
    - Front acts only as cover for connectors
    - Connectors are mounted on rear board
    - Connectors are accessible via cutouts in frontz board
    - Rear board is mounted to front via column spacers

# Other parts:
- LTC4415 - Dual ideal diode with ORing
- MAX16171 - Ideal Diode Controller with Reverse-Current Protection
- BQ25798 - solar battery charger with dual-input selector and MPPT, I2C, https://www.ti.com/product/BQ25798
- BAT54W-G - Low drop shottky diode, solar blocking diode
- BQ27421YZFT-G1A - Fuel gauge

# Digikey orders
https://www.digikey.cz/short/8nmn4tr3
https://www.digikey.cz/short/d4n94tbz
